friday/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/urls.py
from . import views
from django.urls import path

app_name = 'login'
urlpatterns= [
    path('', views.login, name='login'),
    path('signup/', views.signup, name='signup'),
    path('logout/', views.logout, name='logout'),
    path('home/', views.home, name='home')
]

main/models.py
from django.db import models

main/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.models import User
from django.contrib import auth
from .models import *


#로그인, 회원가입, 로그아웃
def login(request):
    if request.method == "POST":
        username = request.POST["username"]
        password = request.POST["password"]
        user = auth.authenticate(request, username=username, password=password)
        if user is not None:
            return redirect('home/')
        else:
            return render(request, 'main/login/login.html', {'error': '아이디 또는 비밀번호가 틀리셨습니다.'})
    else:
        return render(request, 'main/login/login.html')

def signup(request):
    print('회원가입')
    if request.method == "POST":
        if request.POST["password1"] == request.POST["password2"]:
            user = User.objects.create_user(
                username = request.POST["username"],
                password = request.POST["password1"])
            auth.login(request, user)
            return redirect("/")
        return render(request, 'main/login/signup.html')
    return render(request, 'main/login/signup.html')

def logout(request):
    auth.logout(request)
    return redirect('login')

#메인페이지
def home(request):
    return render(request, 'main/home/home.html')

main/templates/main/home/home.html
<h1>홈</h1>

main/templates/main/login/login.html
{% load static %}
<head>
    <link rel="stylesheet" href="{% static 'css/login.css' %}">
</head>

<h1>Friday에 오실걸 환영합니다</h1>
<div id="loginbox">
    <form method = "POST" action="{% url 'login:login' %}">
        {% csrf_token %}
        아이디
        <br>
        <input name="username" type="text">
        <br>
        비밀번호
        <br>
        <input name="password" type="password">
        <br><br>
        <input type="submit" value="로그인">
    </form>
</div>

main/templates/main/login/signup.html
{% load static %}
<div id="signup">
    <form method = "POST" action="{% url 'login:signup' %}">
        {% csrf_token %}
        아이디
        <br>
        <input name="username" type="text">
        <br>
        비밀번호
        <br>
        <input name="password1" type="password">
        <br>
        비밀번호 확인
        <br>
        <input name="password2" type="password">
        <br><br>
        <input type="submit" value="회원가입">
    </form>
</div>